<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
<xsl:template match="/">
 <html>
  <head>
   <title>Crossroads Status Overview</title>
  </head>
  <body>
   <h1>Crossroads Status Overview</h1>
   <xsl:apply-templates/>
  </body>
 </html>
</xsl:template>

<xsl:template match="/status">
 <table>
  <xsl:apply-templates/>
 </table>
</xsl:template>

<xsl:template match="/status/service">
 <tr>
  <td> <b> Service  <xsl:value-of select="@name"/> </b> </td>
  <td align="right"> <xsl:value-of select="connections"/> </td>
  <td> connections </td>
 </tr>
 <xsl:apply-templates/>
 <tr> </tr>
</xsl:template>

<xsl:template match="/status/service/backend">
 <tr>
  <td> </td>
  <td> Backend </td> 
  <td> <b> <xsl:value-of select="@name"/> </b> </td>
  <td>
    is <xsl:value-of select="availability"/>
  </td>
  <td> </td>
 </tr>
 <tr>
   <td> </td>
   <td> </td>
   <td> Clients: </td>
   <td>
     total <xsl:value-of select="connections"/>,
     <xsl:value-of select="failures"/> failures
   </td>
 </tr>
 <tr>
   <td> </td>
   <td> </td>
   <td> Usage: </td>
   <td>
     <xsl:value-of select="throughput"/> in 
     <xsl:value-of select="duration"/>,
     <xsl:value-of select="clients"/> active connections
   </td>
 </tr>
 <xsl:apply-templates/>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
