/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

void copysockets (int clientsock, int serversock) {
    unsigned char *buf = xmalloc (opt.tcp_bufsz);

    /* Copy between client and server. Function net_copy() will
     * stop itself when either an error is seen, or when no more
     * data are there.
     * So there isn't even a reason to free(buf). */
    while (1)
	net_copy (clientsock, serversock, opt.tcp_bufsz, buf);
}
