/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

char *gmtstamp (int offset) {
    static char buf[80];
    time_t now;
    struct tm *tmp;
    static char *monthname[] = {
	"January", "February", "March", "April",
	"May", "June", "July", "August", "September",
	"October", "November", "December" };

    time (&now);
    now += offset;
    tmp = gmtime (&now);

    snprintf (buf, sizeof(buf), "%s, %d %4.4d %2.2d:%2.2d:%2.2d",
	      monthname[tmp->tm_mon], tmp->tm_mday, tmp->tm_year + 1900,
	      tmp->tm_hour, tmp->tm_min, tmp->tm_sec);
    return (buf);
}
