/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"
#include "proxyerror.h"

void http_error (int clientsock) {
    char *buf = str_printf ("HTTP/1.0 502 Internal Server Error\r\n"
			    "Content-Length: %u\r\n"
			    "\r\n"
			    ERRORTEXT,
			    (unsigned) strlen(ERRORTEXT));
    write (clientsock, buf, strlen(buf));
    decr_client_count();
    error ("No back end could be selected. Client received error page.");
}
