/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

unsigned char const *http_header_val (HttpHeader *m, char const *what) {
    unsigned char const *ret;

    int i;

    for (i = 0; i < m->nheader; i++) {
	/* msg ("Scanning header %s for %s", m->header[i], what); */
	if (m->header[i] && !strncasecmp (m->header[i], what, strlen(what))) {
	    ret = (unsigned char const *) m->header[i] + strlen(what);
	    if (*ret == ':') {
		ret++;
		while (is_space (*ret))
		    ret++;
		return (ret);
	    }
	}
    }

    return (0);
}
