/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

int http_write (int sock, CopyDirection dir, unsigned char const *buf,
		int buflen) {
    int nwritten, totwritten = 0;

    while (totwritten < buflen) {
	nwritten = net_write (sock, buf + totwritten, buflen - totwritten,
			      dir == dir_client_to_server);
	totwritten += nwritten;
    }
    return (0);
}
