/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

int ipf_add_deny (Service *s, char const *val) {
    IpFilter filter;

    if (ipf_parse (val, &filter))
	return (1);
    s->denychain = xrealloc (s->denychain,
			      (s->ndenychain + 1) * sizeof(IpFilter));
    s->denychain[s->ndenychain++] = filter;
    return (0);
}
