/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

void log_activity_any (char const *action) {
    if (!opt.log_activity || current_backend < 0)
	return;
    if (!logstarted++)
	openlog ("crossroads", LOG_PID, opt.log_facility);
    syslog (LOG_NOTICE, "%s %s %s from %s to %s:%d",
	    ansistamp(tm_localtime, 0), action, activeservice->name,
	    client_ip,
	    servicereport->backendstate[current_backend].actual_server,
	    servicereport->backendstate[current_backend].actual_port);
}
