/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

void net_allocbufs () {
    if (!clbuf) {
	clbuf = xmalloc (opt.tcp_bufsz + 1);
	clbuf[opt.tcp_bufsz] = 0;
	srbuf = xmalloc (opt.tcp_bufsz + 1);
	srbuf[opt.tcp_bufsz] = 0;
	clbufmax = srbufmax = clbufpos = srbufpos = 0;
	msg ("Allocated client and server buffers");
    }
}    
