/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

void options_write (int fd) {
    int res;
    
    msg ("Writing binary program options to fd %d", fd);
    if ( (res = write (fd, &opt, sizeof(Options))) != sizeof(Options) )
	error ("Failed to transmit options, sent %d bytes of %d",
	       res, (int)sizeof(Options));
}
