/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

/* #define DEBUG */

void parser_skipchar () {
    if (! parserstate[nparserstate - 1].buf ||
	! *parserstate[nparserstate - 1].buf)
	return;

    #ifdef DEBUG
    fprintf (stderr, "LEXER skipping %c (%d)\n",
	     *parserstate[nparserstate - 1].buf,
	     *parserstate[nparserstate - 1].buf);
    #endif
    
    memmove (parserstate[nparserstate - 1].buf,
	     parserstate[nparserstate - 1].buf + 1,
	     strlen(parserstate[nparserstate - 1].buf));
}    
    
