/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

void set_program_title (char const *fmt, ...) {
    char *buf;
    va_list args;
    
    if (opt.leave_proctitle)
	return;
    va_start (args, fmt);
    buf = str_vprintf (fmt, args);
    va_end (args);
    setproctitle (buf);
    free (buf);
}
