/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

#if HAVE_STRCASESTR == 0
char *strcasestr (char const *big, char const *little) {
    char *bcopy, *lcopy, *res;
    
    if (!little || !*little)
	return ( (char*) big);
    if (!big || !*big)
	return (0);

    bcopy = strupr (xstrdup (big));
    lcopy = strupr (xstrdup (little));
    if ( (res = strstr (bcopy, lcopy)) )
	res = (char*) big + (res - bcopy);
    free (bcopy);
    free (lcopy);
    return (res);
}
#endif
