/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

char *xstrcat (char *what, char const *rest) {
    if (!what || !*what)
	return (xstrdup (rest));
    if (!rest || !*rest)
	return (what);
    
    if (! (what = realloc (what, strlen(what) + strlen(rest) + 1)) )
	error ("Out of memory (while adding '%s' to '%s'",
	       rest, what);
    strlcat (what, rest, strlen(what) + strlen(rest) + 1);
    return (what);
}
