<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Sample XSLT stylesheet to convert "crossroads -x status"
     into HTML. This is only a VERY BASIC example, you would
     want to add a CSS, or to display information in a different
     way. Good luck! - Karel <karel@e-tunity.com> -->

<xsl:template match="/">
 <html>
  <head>
   <title>Crossroads Status Overview</title>
  </head>
  <body>
   <h1>Crossroads Status Overview</h1>
   <xsl:apply-templates/>
  </body>
 </html>
</xsl:template>

<xsl:template match="/status">
 <table>
  <xsl:apply-templates/>
 </table>
</xsl:template>

<xsl:template match="/status/service">
 <tr>
  <td> <b> Service  <xsl:value-of select="@name"/> </b> </td>
  <td> </td>
  <td> </td>
  <td> </td>
 </tr>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="/status/service/connections">
 <tr>
  <td> </td>
  <td> Connections: </td>
  <td> </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/lastbackend">
 <tr>
  <td> </td>
  <td> Last back end: </td>
  <td> </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend">
 <tr>
  <td> </td>
  <td> <b> Backend <xsl:value-of select="@name"/> </b> </td>
  <td> </td>
  <td> </td>
 </tr>
 <xsl:apply-templates/>
</xsl:template>

<xsl:template match="/status/service/backend/availability">
 <tr>
  <td> </td>
  <td> </td>
  <td> Availability: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend/clients">
 <tr>
  <td> </td>
  <td> </td>
  <td> Connections: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend/connections">
 <tr>
  <td> </td>
  <td> </td>
  <td> Total successes: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend/failures">
 <tr>
  <td> </td>
  <td> </td>
  <td> Total failures: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend/duration">
 <tr>
  <td> </td>
  <td> </td>
  <td> Duration: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend/throughput">
 <tr>
  <td> </td>
  <td> </td>
  <td> Throughput: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="/status/service/backend/sessions">
 <tr>
  <td> </td>
  <td> </td>
  <td> Sessions: </td>
  <td> <xsl:value-of select="."/> </td>
 </tr>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
