/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

char *ansistamp (TmType t, int offset) {
    static char buf[80];
    time_t now;
    struct tm *tmp;

    time (&now);
    now += offset;
    if (t == tm_localtime)	
	tmp = localtime (&now);
    else
	tmp = gmtime (&now);
    
    snprintf (buf, sizeof(buf),
	      "%4.4d-%2.2d-%2.2d/%2.2d:%2.2d:%2.2d",
	      tmp->tm_year + 1900, tmp->tm_mon + 1, tmp->tm_mday,
	      tmp->tm_hour, tmp->tm_min, tmp->tm_sec);
    
    return (buf);
}
