/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

int cmd_restart (int ac, char **av) {
   
    /* First run the 'stop' action. */
    if (!cmd_stop (ac, av))
	error ("Daemon stop failed, restart failure");

    sleep (1);
    
    /* Now run 'start' */
    if (!cmd_start (ac, av))
	error ("Daemon start failed, restart failure");

    /* All ok.. */
    return (1);
}
