/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

int cmd_services (int ac, char **av) {
    int i, j;

    for (i = 0; i < nservice; i++) {
	printf ("Service %s (on port %d) %d backends\n",
		service[i].name, service[i].port, service[i].nbackend);
	if (service[i].allowfile)
	    printf (" Allow file: %s\n", service[i].allowfile);
	if (service[i].denyfile)
	    printf (" Deny file: %s\n", service[i].denyfile);
	for (j = 0; j < service[i].nbackend; j++)
	    printf ("  Backend %s (%s:%d)\n",
		    service[i].backend[j].name,
		    service[i].backend[j].initial_server,
		    service[i].backend[j].initial_port);
    }
    return (1);
}
