/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

int cmd_start (int ac, char **av) {
    FILE *f;
    char *cmd;

    /* Prepare the command to run. When the process title may be modified,
     * reserve space. */
    cmd = xstrdup (BINDIR "/crossroads-daemon");
    if (!opt.leave_proctitle)
	cmd = xstrcat (cmd, " xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
		       "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx");

    /*
    for (i = 1; i < org_argc; i++) {
	cmd = xstrcatch (cmd, ' ');
	cmd = xstrcat (cmd, org_argv[i]);
    }    
    msg ("Starting daemon (%s), cmd");
    */

    if (! (f = popen (cmd, "w")) )
	error ("Failed to start %s: %s", cmd, strerror(errno));
    options_write (fileno(f));
    config_write (fileno(f));
    if (pclose (f) == -1)
	error ("Crossroads daemon '%s' indicates error", cmd);
    
    return (1);
}
