/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

unsigned hashpjw (char const *str) {
    unsigned h = 0, g;

    while (str && *str) {
	h <<= 4;
	h += *str;
	if ( (g = h & 0xf0000000) ) {
	    h ^= g >> 24;
	    h ^= g;
	}

	str++;
    }

    return (h);
}
    
