/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

void http_header_free (HttpHeader *m) {
    int i;
    
    if (!m)
	return;
    for (i = 0; i < m->nheader; i++)
	free (m->header[i]);
    m->header = 0;
    m->nheader = 0;
}
