/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

void http_header_removeheader (HttpHeader *h, char const *hdr) {
    int i;
    char *cp;

    for (i = 0; i < h->nheader; i++)
	if (h->header[i] && !strncasecmp (h->header[i], hdr, strlen(hdr))) {
	    cp = h->header[i] + strlen(hdr);
	    if (*cp == ':') {
		msg ("removing header '%s'", hdr);
		free (h->header[i]);
		h->header[i] = 0;
	    }
	}
}
