/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
/* A Bison parser, made by GNU Bison 2.3.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.3"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENTIFIER = 258,
     NUMBER = 259,
     STRING = 260,
     SERVICE = 261,
     PORT = 262,
     VERBOSITY = 263,
     MAXCONNECTIONS = 264,
     TYPE = 265,
     ANY = 266,
     HTTP = 267,
     BACKEND = 268,
     SERVER = 269,
     BINDTO = 270,
     CONNECTIONTIMEOUT = 271,
     ON = 272,
     OFF = 273,
     DISPATCHMODE = 274,
     ROUNDROBIN = 275,
     RANDOM = 276,
     BYDURATION = 277,
     BYSIZE = 278,
     BYCONNECTIONS = 279,
     BYORDER = 280,
     BYCLIENTIP = 281,
     OVER = 282,
     DECAY = 283,
     REVIVINGINTERVAL = 284,
     CHECKINTERVAL = 285,
     RETRIES = 286,
     SHMKEY = 287,
     WEIGHT = 288,
     ONSTART = 289,
     ONFAIL = 290,
     BACKLOG = 291,
     THROUGHPUTLOG = 292,
     TRAFFICLOG = 293,
     HTTPTIMINGLOG = 294,
     STICKYCOOKIE = 295,
     ADDCLIENTHEADER = 296,
     SETCLIENTHEADER = 297,
     APPENDCLIENTHEADER = 298,
     ADDSERVERHEADER = 299,
     SETSERVERHEADER = 300,
     APPENDSERVERHEADER = 301,
     ALLOWFROM = 302,
     DENYFROM = 303,
     ALLOWFILE = 304,
     DENYFILE = 305,
     EXTERNALHANDLER = 306,
     USERACCOUNT = 307,
     ONEND = 308,
     HEADERINSPECTION = 309,
     DEEP = 310,
     SHALLOW = 311,
     STATE = 312,
     AVAILABLE = 313,
     UNAVAILABLE = 314,
     DOWN = 315,
     OPTIONS = 316,
     LOGACTIVITY = 317,
     TCPBUFFERSIZE = 318,
     DNSCACHETTL = 319,
     LOGFACILITY = 320,
     SHMPERMISSIONS = 321,
     SLOPPYPORTBIND = 322,
     LEAVEPROCESSTITLE = 323
   };
#endif
/* Tokens.  */
#define IDENTIFIER 258
#define NUMBER 259
#define STRING 260
#define SERVICE 261
#define PORT 262
#define VERBOSITY 263
#define MAXCONNECTIONS 264
#define TYPE 265
#define ANY 266
#define HTTP 267
#define BACKEND 268
#define SERVER 269
#define BINDTO 270
#define CONNECTIONTIMEOUT 271
#define ON 272
#define OFF 273
#define DISPATCHMODE 274
#define ROUNDROBIN 275
#define RANDOM 276
#define BYDURATION 277
#define BYSIZE 278
#define BYCONNECTIONS 279
#define BYORDER 280
#define BYCLIENTIP 281
#define OVER 282
#define DECAY 283
#define REVIVINGINTERVAL 284
#define CHECKINTERVAL 285
#define RETRIES 286
#define SHMKEY 287
#define WEIGHT 288
#define ONSTART 289
#define ONFAIL 290
#define BACKLOG 291
#define THROUGHPUTLOG 292
#define TRAFFICLOG 293
#define HTTPTIMINGLOG 294
#define STICKYCOOKIE 295
#define ADDCLIENTHEADER 296
#define SETCLIENTHEADER 297
#define APPENDCLIENTHEADER 298
#define ADDSERVERHEADER 299
#define SETSERVERHEADER 300
#define APPENDSERVERHEADER 301
#define ALLOWFROM 302
#define DENYFROM 303
#define ALLOWFILE 304
#define DENYFILE 305
#define EXTERNALHANDLER 306
#define USERACCOUNT 307
#define ONEND 308
#define HEADERINSPECTION 309
#define DEEP 310
#define SHALLOW 311
#define STATE 312
#define AVAILABLE 313
#define UNAVAILABLE 314
#define DOWN 315
#define OPTIONS 316
#define LOGACTIVITY 317
#define TCPBUFFERSIZE 318
#define DNSCACHETTL 319
#define LOGFACILITY 320
#define SHMPERMISSIONS 321
#define SLOPPYPORTBIND 322
#define LEAVEPROCESSTITLE 323




/* Copy the first part of user declarations.  */
#line 4 "parser.y"

/* Prologue */
#include "../crossroads.h"

#define YYSTYPE Confsets

/* Static parser vars */
static int i;				/* Loop counter */
static Backend cur_backend;		/* Storage for a handled backend */
static Service cur_service;		/* Storage for a handled service */

/* Parser debugging related */
static void pmsg (char const *fmt, ...) {
    va_list args;

    if (parser_debug) {
	printf ("PARSER: ");
	va_start (args, fmt);
	vprintf (fmt, args);
    }
}

/* Conversion of yytext for symbol table */
#define SYMBOL (symtab_lookup((yytext)))

/* Error handler for yyparse() */
static int yyerror (char *msg) {
    char *sym;

    if (! yytext || ! *yytext)
	sym = "<end of file>";
    else if (isspace (*yytext))
	sym = "<white space>";
    else if (isprint (*yytext))
	sym = yytext;
    else
	sym = "<nonprintable>";
    
    error ("Parse error at %s, line %d, '%s': %s",
	   parser_filename(), yylineno + 1,
	   sym, yyerrmsg);
}

/* Store an encountered string */
static char *laststr;
static void setlaststr (char const *what) {
    free (laststr);
    laststr = xstrdup (what);
}

/* Store an encountered number */
static int lastnr;
static void setlastnr (char const *what) {
    if (what && *what && *what == '0')
	lastnr = strtol (what, 0, 8);
    else
	lastnr = atoi (what);
}

/* Store an encountered 'over' number */
static int lastovernr;
static void setlastovernr (char const *what) {
    if (what && *what && *what == '0')
	lastovernr = strtol (what, 0, 8);
    else
	lastovernr = atoi(what);
}

/* Store an encountered 'externalhandler' */
static char *lastext;
static void setlastext (char const *what) {
    free (lastext);
    lastext = xstrdup (what);
}

/* Get the server part from HOSTNAME:PORT in allocated memory */
static char *serverpart (char const *what) {
    char *ret = xstrdup (what);
    char *cp;

    if ( (cp = strchr (ret, ':')) )
	*cp = 0;
    return (ret);
}

/* Get the port part from HOSTNAME:PORT */
static int portpart (char const *what) {
    char *cp;

    if ( (cp = strchr (what, ':')) )
	return (atoi (cp + 1));
    return (0);
}

/* Add a list of IP filters to the allowlist or the denylist */
static void add_any (char *what, int chain) {
    char *item, *last = (char*) add_any;
    int result;

    for (item = strtok_r (what, " ", &last);
	 item;
	 item = strtok_r (0, " ", &last)) {
	if (chain)
	    result = ipf_add_allow (&cur_service, item);
	else
	    result = ipf_add_deny  (&cur_service, item);
	if (result)
	    error ("Bad IP filter specifier '%s' at line %d",
		   item, yylineno + 1);
    }
}
static void add_allowfrom (char *what) {
    add_any (what, 1);
}
static void add_denyfrom (char *what) {
    add_any (what, 0);
}

/* Set uid/gid for external commands. */
static void setuseraccount (char *username) {
    struct passwd *pw;

    if (! (pw = getpwnam (username)) )
	error ("Invalid username '%s' at line %d", username, yylineno + 1);
    cur_service.uid = pw->pw_uid;
    cur_service.gid = pw->pw_gid;
}



/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif

#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef int YYSTYPE;
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 216 of yacc.c.  */
#line 372 "parser.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int i)
#else
static int
YYID (i)
    int i;
#endif
{
  return i;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  10
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   254

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  72
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  110
/* YYNRULES -- Number of rules.  */
#define YYNRULES  173
/* YYNRULES -- Number of states.  */
#define YYNSTATES  277

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   323

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    69,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    70,     2,    71,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     6,     8,    10,    12,    17,    20,    22,
      25,    27,    29,    31,    33,    35,    37,    39,    44,    48,
      52,    56,    60,    65,    70,    76,    79,    82,    85,    87,
      90,    92,    94,    96,    98,   100,   102,   104,   106,   108,
     110,   112,   114,   116,   118,   120,   122,   124,   126,   130,
     134,   137,   140,   143,   148,   150,   152,   157,   159,   161,
     162,   165,   168,   170,   173,   175,   177,   179,   181,   183,
     185,   187,   189,   193,   196,   201,   206,   208,   209,   212,
     216,   220,   224,   228,   232,   235,   237,   239,   243,   246,
     248,   250,   254,   258,   262,   266,   269,   275,   278,   281,
     283,   286,   288,   290,   292,   294,   296,   298,   300,   302,
     304,   306,   308,   310,   312,   314,   316,   318,   320,   322,
     324,   326,   328,   333,   337,   341,   343,   347,   351,   354,
     356,   358,   360,   364,   368,   372,   376,   380,   384,   387,
     390,   394,   397,   401,   405,   409,   413,   417,   421,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     447,   450,   451,   452
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
      73,     0,    -1,    73,    74,    -1,    74,    -1,    86,    -1,
      75,    -1,    61,   177,    76,   178,    -1,    76,    77,    -1,
      77,    -1,   181,    78,    -1,    79,    -1,    80,    -1,    81,
      -1,    82,    -1,    83,    -1,    84,    -1,    85,    -1,    62,
     165,    98,    96,    -1,    63,    95,    96,    -1,    64,    95,
      96,    -1,    65,    95,    96,    -1,    66,    95,    96,    -1,
      67,   165,    98,    96,    -1,    68,   165,    98,    96,    -1,
      87,    88,   177,    89,   178,    -1,   161,     6,    -1,   169,
       3,    -1,    89,    90,    -1,    90,    -1,   163,    91,    -1,
      92,    -1,    93,    -1,    97,    -1,    99,    -1,   108,    -1,
     109,    -1,   112,    -1,   113,    -1,   114,    -1,   115,    -1,
     116,    -1,   119,    -1,   122,    -1,   124,    -1,   123,    -1,
     125,    -1,   106,    -1,   127,    -1,     7,    95,    96,    -1,
      15,    94,    96,    -1,   171,     5,    -1,   159,     4,    -1,
     164,    69,    -1,     8,   165,    98,    96,    -1,    17,    -1,
      18,    -1,    19,   104,   100,    96,    -1,   101,    -1,   103,
      -1,    -1,    27,   102,    -1,   159,     4,    -1,   146,    -1,
     166,   105,    -1,    20,    -1,    21,    -1,    22,    -1,    23,
      -1,    25,    -1,    24,    -1,    51,    -1,    26,    -1,    52,
     107,    96,    -1,   175,     5,    -1,    29,    95,   110,    96,
      -1,    30,    95,   110,    96,    -1,   111,    -1,    -1,    51,
     146,    -1,    36,    95,    96,    -1,    32,    95,    96,    -1,
      16,    95,    96,    -1,     9,    95,    96,    -1,    10,   117,
      96,    -1,   172,   118,    -1,    11,    -1,    12,    -1,    54,
     120,    96,    -1,   173,   121,    -1,    55,    -1,    56,    -1,
      47,   126,    96,    -1,    48,   126,    96,    -1,    49,   147,
      96,    -1,    50,   147,    96,    -1,   174,     5,    -1,    13,
     128,   177,   129,   178,    -1,   170,     3,    -1,   129,   130,
      -1,   130,    -1,   162,   131,    -1,   132,    -1,    92,    -1,
      97,    -1,   140,    -1,   142,    -1,   141,    -1,   143,    -1,
     144,    -1,   145,    -1,   133,    -1,   134,    -1,   115,    -1,
     148,    -1,   150,    -1,   151,    -1,   152,    -1,   153,    -1,
     154,    -1,   155,    -1,   136,    -1,   137,    -1,    14,   160,
     135,    96,    -1,    33,    95,    96,    -1,    28,    95,    96,
      -1,     5,    -1,    31,    95,    96,    -1,    57,   138,    96,
      -1,   176,   139,    -1,    58,    -1,    59,    -1,    60,    -1,
      34,   146,    96,    -1,    35,   146,    96,    -1,    53,   146,
      96,    -1,    38,   147,    96,    -1,    37,   147,    96,    -1,
      39,   147,    96,    -1,   167,     5,    -1,   168,     5,    -1,
      40,   149,    96,    -1,   158,     5,    -1,    41,   156,    96,
      -1,    42,   156,    96,    -1,    43,   156,    96,    -1,    44,
     156,    96,    -1,    45,   156,    96,    -1,    46,   156,    96,
      -1,   157,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,    70,    -1,   180,    71,    -1,
      -1,    -1,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   161,   161,   164,   168,   170,   174,   181,   184,   188,
     193,   195,   197,   199,   201,   203,   205,   209,   218,   226,
     234,   242,   250,   259,   268,   292,   297,   308,   311,   315,
     320,   326,   332,   338,   348,   356,   363,   369,   375,   381,
     387,   393,   399,   405,   411,   417,   423,   430,   604,   616,
     628,   637,   644,   649,   662,   666,   672,   681,   683,   685,
     691,   708,   715,   725,   734,   738,   742,   746,   750,   754,
     758,   762,   768,   780,   789,   807,   825,   827,   833,   842,
     854,   866,   878,   890,   902,   907,   911,   917,   929,   934,
     938,   944,   956,   968,   980,   992,  1001,  1011,  1023,  1031,
    1037,  1044,  1049,  1054,  1059,  1064,  1069,  1074,  1079,  1084,
    1089,  1094,  1099,  1104,  1109,  1114,  1119,  1124,  1129,  1134,
    1139,  1144,  1151,  1164,  1176,  1188,  1194,  1206,  1218,  1223,
    1227,  1231,  1237,  1249,  1261,  1273,  1285,  1297,  1309,  1318,
    1327,  1339,  1348,  1360,  1372,  1384,  1396,  1408,  1420,  1428,
    1433,  1438,  1443,  1448,  1453,  1458,  1463,  1468,  1473,  1478,
    1483,  1488,  1493,  1498,  1503,  1508,  1513,  1518,  1523,  1529,
    1534,  1538,  1542,  1546
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENTIFIER", "NUMBER", "STRING",
  "SERVICE", "PORT", "VERBOSITY", "MAXCONNECTIONS", "TYPE", "ANY", "HTTP",
  "BACKEND", "SERVER", "BINDTO", "CONNECTIONTIMEOUT", "ON", "OFF",
  "DISPATCHMODE", "ROUNDROBIN", "RANDOM", "BYDURATION", "BYSIZE",
  "BYCONNECTIONS", "BYORDER", "BYCLIENTIP", "OVER", "DECAY",
  "REVIVINGINTERVAL", "CHECKINTERVAL", "RETRIES", "SHMKEY", "WEIGHT",
  "ONSTART", "ONFAIL", "BACKLOG", "THROUGHPUTLOG", "TRAFFICLOG",
  "HTTPTIMINGLOG", "STICKYCOOKIE", "ADDCLIENTHEADER", "SETCLIENTHEADER",
  "APPENDCLIENTHEADER", "ADDSERVERHEADER", "SETSERVERHEADER",
  "APPENDSERVERHEADER", "ALLOWFROM", "DENYFROM", "ALLOWFILE", "DENYFILE",
  "EXTERNALHANDLER", "USERACCOUNT", "ONEND", "HEADERINSPECTION", "DEEP",
  "SHALLOW", "STATE", "AVAILABLE", "UNAVAILABLE", "DOWN", "OPTIONS",
  "LOGACTIVITY", "TCPBUFFERSIZE", "DNSCACHETTL", "LOGFACILITY",
  "SHMPERMISSIONS", "SLOPPYPORTBIND", "LEAVEPROCESSTITLE", "';'", "'{'",
  "'}'", "$accept", "input", "element", "option_element",
  "option_statements", "option_statement", "optstat",
  "logactivity_statement", "tcpbuffersize_statement",
  "dnscachettl_statement", "logfacility_statement",
  "shmpermissions_statement", "sloppyportbind_statement",
  "leaveprocesstitle_statement", "service_element", "service",
  "servicename", "servicestatements", "servicestatement", "servicebody",
  "portstatement", "bindstatement", "ipaddress", "number", "semicol",
  "verbositystatement", "onoff", "dispatchmodestatement", "dispatchtail",
  "dispatchover", "overnumber", "dispatchext", "dispatchmethod",
  "dispatchmethodspec", "useraccountstatement", "useraccount",
  "revivingintervalstatement", "checkintervalstatement",
  "opt_externalhandler", "externalhandler", "backlogstatement",
  "shmkeystatement", "connectiontimeoutstatement",
  "maxconnectionsstatement", "typestatement", "typespec", "typespecifier",
  "inspectionstatement", "shallowdeepspec", "shallowdeepspecifier",
  "allowfromstatement", "denyfromstatement", "allowfilestatement",
  "denyfilestatement", "ipfilters", "backendblock", "backendname",
  "backenddefinitions", "backenddefinition", "backendstatement",
  "serverstatement", "weightstatement", "decaystatement", "serveraddress",
  "retriesstatement", "initialstatestatement", "statedef", "somestate",
  "onstartstatement", "onfailstatement", "onendstatement",
  "dumptrafficstatement", "throughputstatement", "httptiminglogstatement",
  "commandline", "filename", "stickycookiestatement", "cookiespecifier",
  "addclientheaderstatement", "setclientheaderstatement",
  "appendclientheaderstatement", "addserverheaderstatement",
  "setserverheaderstatement", "appendserverheaderstatement",
  "headerstring", "headerstring_expected", "cookie_expected",
  "number_expected", "serveraddress_expected", "service_expected",
  "backendstatement_expected", "servicebody_expected", "semicol_expected",
  "onoff_expected", "dispatchmethod_expected", "commandline_expected",
  "filename_expected", "servicename_expected", "backendname_expected",
  "ipaddress_expected", "type_expected", "shallowdeep_expected",
  "ipfilters_expected", "useraccount_expected", "statedef_expected",
  "openbrace", "closebrace", "openbrace_expected", "closebrace_expected",
  "option_statement_expected", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    59,
     123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    72,    73,    73,    74,    74,    75,    76,    76,    77,
      78,    78,    78,    78,    78,    78,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    89,    90,
      91,    91,    91,    91,    91,    91,    91,    91,    91,    91,
      91,    91,    91,    91,    91,    91,    91,    91,    92,    93,
      94,    95,    96,    97,    98,    98,    99,   100,   100,   100,
     101,   102,   103,   104,   105,   105,   105,   105,   105,   105,
     105,   105,   106,   107,   108,   109,   110,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   118,   119,   120,   121,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   129,
     130,   131,   131,   131,   131,   131,   131,   131,   131,   131,
     131,   131,   131,   131,   131,   131,   131,   131,   131,   131,
     131,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     139,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     1,     1,     1,     4,     2,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     3,
       3,     3,     4,     4,     5,     2,     2,     2,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       2,     2,     2,     4,     1,     1,     4,     1,     1,     0,
       2,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     2,     4,     4,     1,     0,     2,     3,
       3,     3,     3,     3,     2,     1,     1,     3,     2,     1,
       1,     3,     3,     3,     3,     2,     5,     2,     2,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     3,     1,     3,     3,     2,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     2,     3,     3,     3,     3,     3,     3,     2,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     2,
       2,     0,     0,     0
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
     153,   171,   153,     3,     5,     4,   161,     0,   173,     0,
       1,     2,   171,     0,    25,   173,     8,     0,   169,   155,
      26,     7,     6,     0,   157,   151,   151,   151,   151,   157,
     157,     9,    10,    11,    12,    13,    14,    15,    16,   155,
      28,     0,   170,     0,   156,     0,   156,   156,   156,     0,
       0,    27,    24,   151,   157,   151,   164,   162,   163,   151,
     158,   151,   151,   151,   151,   166,   166,   160,   160,   167,
     165,    29,    30,    31,    32,    33,    46,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    44,    43,    45,    47,
      54,    55,   156,    18,     0,    51,    19,    20,    21,   156,
     156,   156,     0,   156,   156,     0,   171,     0,   156,     0,
     156,    59,     0,    77,    77,   156,   156,   156,     0,   156,
     156,     0,   156,   156,     0,   156,     0,    17,    52,    22,
      23,    48,   156,    82,    83,    85,    86,    84,   154,    97,
      49,    50,    81,   151,   156,    57,    58,    62,     0,    64,
      65,    66,    67,    69,    68,    71,    70,    63,   159,   156,
      76,   156,    80,    79,    91,    95,    92,    93,   139,    94,
      72,    73,    87,    89,    90,    88,    53,   154,    99,     0,
      60,     0,    56,   138,    78,    74,    75,    98,    96,   152,
     151,   151,   151,   159,   159,   160,   160,   160,   150,   149,
     149,   149,   149,   149,   149,   159,   168,   102,   103,   112,
     100,   101,   110,   111,   120,   121,   104,   106,   105,   107,
     108,   109,   113,   114,   115,   116,   117,   118,   119,    61,
       0,   156,   156,   156,   156,   156,   156,   156,   156,   156,
       0,   156,     0,   156,   156,   156,   156,   156,   156,   156,
       0,   125,   156,   124,   126,   123,   132,   133,   136,   135,
     137,   140,   141,   142,   148,   143,   144,   145,   146,   147,
     134,   127,   129,   130,   131,   128,   122
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,     4,    15,    16,    31,    32,    33,    34,
      35,    36,    37,    38,     5,     6,    12,    39,    40,    71,
      72,    73,   108,    44,    93,    74,    92,    75,   144,   145,
     180,   146,   111,   157,    76,   123,    77,    78,   159,   160,
      79,    80,    81,    82,    83,   104,   137,    84,   125,   175,
      85,    86,    87,    88,   117,    89,   106,   177,   178,   210,
     211,   212,   213,   252,   214,   215,   249,   275,   216,   217,
     218,   219,   220,   221,   147,   120,   222,   239,   223,   224,
     225,   226,   227,   228,   241,   242,   240,    45,   230,     7,
     179,    41,    94,    43,   112,   148,   121,    13,   107,   109,
     105,   126,   118,   124,   250,     8,    22,     9,    23,    17
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -150
static const yytype_int16 yypact[] =
{
     -51,  -150,    11,  -150,  -150,  -150,  -150,     8,  -150,   -54,
    -150,  -150,  -150,    26,  -150,   -40,  -150,    41,  -150,  -150,
    -150,  -150,  -150,   -36,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,   -40,
    -150,   200,  -150,    16,  -150,    43,  -150,  -150,  -150,    16,
      16,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,   -19,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,    16,  -150,  -150,    31,  -150,    48,  -150,    47,
    -150,    10,    -3,    12,    12,  -150,  -150,  -150,    56,  -150,
    -150,    61,  -150,  -150,    62,  -150,     4,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,    63,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,   -40,  -150,    86,
    -150,    71,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
      73,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
      80,  -150,    82,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
     -32,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -150,  -150,    87,  -150,  -150,    75,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,    49,  -150,
     -88,  -150,  -150,   -23,   -46,   -87,   -37,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,   -18,  -150,
    -150,  -150,  -150,   -82,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,    33,  -150,  -150,  -150,   -76,  -150,
    -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -149,   -61,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -120,  -150,  -150,   -31,  -150,  -150,
    -150,  -150,  -150,    -5,  -150,  -150,  -150,  -150,  -150,  -150,
    -150,  -150,  -150,  -150,  -150,    -4,   -33,  -150,  -150,  -150
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -173
static const yytype_int16 yytable[] =
{
      96,    97,    98,    46,    47,    48,    52,   122,    19,   184,
       1,    10,    99,   100,    14,  -159,    18,   149,   150,   151,
     152,   153,   154,   155,    49,    50,   272,   273,   274,    20,
     101,  -172,   103,    90,    91,    42,   110,   143,   113,   114,
     115,   116,   135,   136,   234,   235,   127,    95,   156,   102,
     128,   139,   141,   129,   130,   131,   248,   133,   134,   173,
     174,   165,   140,   158,   142,   132,   168,   171,   183,   162,
     163,   164,     1,   166,   167,   229,   169,   170,   251,   172,
     243,   244,   245,   246,   247,   262,   176,   264,    51,    11,
      21,   207,   208,    53,    54,    55,   161,   209,   182,   119,
     189,   187,   138,    24,    25,    26,    27,    28,    29,    30,
       0,     0,   181,   185,   190,   186,     0,   191,     0,   192,
     193,   194,     0,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,   236,   237,   238,     0,     0,   205,
       0,     0,     0,   206,   188,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   231,   232,   233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   263,     0,   265,   266,   267,
     268,   269,   270,   271,     0,     0,   276,    53,    54,    55,
      56,     0,     0,    57,     0,    58,    59,     0,     0,    60,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    61,
      62,     0,    63,     0,     0,     0,    64,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    65,    66,    67,
      68,     0,    69,     0,    70
};

static const yytype_int16 yycheck[] =
{
      46,    47,    48,    26,    27,    28,    39,    68,    12,   158,
      61,     0,    49,    50,     6,     5,    70,    20,    21,    22,
      23,    24,    25,    26,    29,    30,    58,    59,    60,     3,
      53,    71,    55,    17,    18,    71,    59,    27,    61,    62,
      63,    64,    11,    12,   193,   194,    92,     4,    51,    54,
      69,     3,     5,    99,   100,   101,   205,   103,   104,    55,
      56,     5,   108,    51,   110,   102,     5,     5,     5,   115,
     116,   117,    61,   119,   120,     4,   122,   123,     5,   125,
     200,   201,   202,   203,   204,     5,   132,     5,    39,     2,
      15,   179,   179,     7,     8,     9,   114,   179,   144,    66,
      14,   177,   106,    62,    63,    64,    65,    66,    67,    68,
      -1,    -1,   143,   159,    28,   161,    -1,    31,    -1,    33,
      34,    35,    -1,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,   195,   196,   197,    -1,    -1,    53,
      -1,    -1,    -1,    57,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,    -1,   241,    -1,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,     7,     8,     9,
      10,    -1,    -1,    13,    -1,    15,    16,    -1,    -1,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    29,
      30,    -1,    32,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    47,    48,    49,
      50,    -1,    52,    -1,    54
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    61,    73,    74,    75,    86,    87,   161,   177,   179,
       0,    74,    88,   169,     6,    76,    77,   181,    70,   177,
       3,    77,   178,   180,    62,    63,    64,    65,    66,    67,
      68,    78,    79,    80,    81,    82,    83,    84,    85,    89,
      90,   163,    71,   165,    95,   159,    95,    95,    95,   165,
     165,    90,   178,     7,     8,     9,    10,    13,    15,    16,
      19,    29,    30,    32,    36,    47,    48,    49,    50,    52,
      54,    91,    92,    93,    97,    99,   106,   108,   109,   112,
     113,   114,   115,   116,   119,   122,   123,   124,   125,   127,
      17,    18,    98,    96,   164,     4,    96,    96,    96,    98,
      98,    95,   165,    95,   117,   172,   128,   170,    94,   171,
      95,   104,   166,    95,    95,    95,    95,   126,   174,   126,
     147,   168,   147,   107,   175,   120,   173,    96,    69,    96,
      96,    96,    98,    96,    96,    11,    12,   118,   177,     3,
      96,     5,    96,    27,   100,   101,   103,   146,   167,    20,
      21,    22,    23,    24,    25,    26,    51,   105,    51,   110,
     111,   110,    96,    96,    96,     5,    96,    96,     5,    96,
      96,     5,    96,    55,    56,   121,    96,   129,   130,   162,
     102,   159,    96,     5,   146,    96,    96,   130,   178,    14,
      28,    31,    33,    34,    35,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    53,    57,    92,    97,   115,
     131,   132,   133,   134,   136,   137,   140,   141,   142,   143,
     144,   145,   148,   150,   151,   152,   153,   154,   155,     4,
     160,    95,    95,    95,   146,   146,   147,   147,   147,   149,
     158,   156,   157,   156,   156,   156,   156,   156,   146,   138,
     176,     5,   135,    96,    96,    96,    96,    96,    96,    96,
      96,    96,     5,    96,     5,    96,    96,    96,    96,    96,
      96,    96,    58,    59,    60,   139,    96
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *bottom, yytype_int16 *top)
#else
static void
yy_stack_print (bottom, top)
    yytype_int16 *bottom;
    yytype_int16 *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      fprintf (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      fprintf (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The look-ahead symbol.  */
int yychar;

/* The semantic value of the look-ahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  int yystate;
  int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Look-ahead token as an internal (translated) token number.  */
  int yytoken = 0;
#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  yytype_int16 yyssa[YYINITDEPTH];
  yytype_int16 *yyss = yyssa;
  yytype_int16 *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  YYSTYPE *yyvsp;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     look-ahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to look-ahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a look-ahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid look-ahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the look-ahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 17:
#line 212 "parser.y"
    {
	    opt.log_activity = lastnr;
	;}
    break;

  case 18:
#line 220 "parser.y"
    {
	    opt.tcp_bufsz = lastnr;
	;}
    break;

  case 19:
#line 228 "parser.y"
    {
	    opt.dns_cachettl = lastnr;
	;}
    break;

  case 20:
#line 236 "parser.y"
    {
	    opt.log_facility = lastnr;
	;}
    break;

  case 21:
#line 244 "parser.y"
    {
	    opt.shmperm = lastnr;
	;}
    break;

  case 22:
#line 253 "parser.y"
    {
	    opt.sloppyportbind = lastnr;
	;}
    break;

  case 23:
#line 262 "parser.y"
    {
	    opt.leave_proctitle = lastnr;
	;}
    break;

  case 24:
#line 272 "parser.y"
    {
	    /* Check integrity, supply defaults */
	    check_service (cur_service);
	    
	    if (!cur_service.shmkey)
		cur_service.shmkey = (unsigned) hashpjw (cur_service.name);
	    msg ("Service %s: shared memory key set to 0x%8.8x",
		 cur_service.name, cur_service.shmkey);

	    if (!cur_service.check_cmd)
		cur_service.check_cmd = xstrdup ("");
	    
	    /* Add to the list, reset cur_service for next run */
	    service = xrealloc (service, ++nservice * sizeof(Service));
	    service[nservice - 1] = cur_service;
	    memset (&cur_service, 0, sizeof(Service));
	;}
    break;

  case 26:
#line 298 "parser.y"
    {
	    pmsg ("service [%s]\n", SYMBOL);
	    for (i = 0; i < nservice; i++)
		if (!strcmp (service[i].name, SYMBOL))
		    error ("Duplicate definition of service '%s'", SYMBOL);
	    cur_service.name = xstrdup(SYMBOL);
	;}
    break;

  case 30:
#line 320 "parser.y"
    {
	    pmsg ("sevice port [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.port = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 31:
#line 326 "parser.y"
    {
	    pmsg ("service binding [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    cur_service.bind = (yyvsp[(1) - (1)]).set[0].v.sval;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 32:
#line 332 "parser.y"
    {
	    pmsg ("service verbosity [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.verbosity = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 33:
#line 338 "parser.y"
    {
	    pmsg ("service dispatch mode [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    pmsg ("service dispatch over [%d]\n", lastovernr);
	    pmsg ("service dispatch exthandler [%s]\n", lastext);
	    cur_service.dispatchtype = (yyvsp[(1) - (1)]).set[0].v.ival;
	    cur_service.dispatchover = lastovernr;
	    cur_service.dispatchext  = xstrdup(lastext);
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 34:
#line 348 "parser.y"
    {
	    pmsg ("service revival interval [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    pmsg ("service revival cmd [%s]\n", (yyvsp[(1) - (1)]).set[1].v.sval);
	    cur_service.rev_interval = (yyvsp[(1) - (1)]).set[0].v.ival;
	    cur_service.check_cmd = (yyvsp[(1) - (1)]).set[1].v.sval;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 35:
#line 356 "parser.y"
    {
	    pmsg ("service check interval [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    pmsg ("service check cmd [%s]\n", (yyvsp[(1) - (1)]).set[1].v.sval);
	    cur_service.check_interval = (yyvsp[(1) - (1)]).set[0].v.ival;
	    cur_service.check_cmd = (yyvsp[(1) - (1)]).set[1].v.sval;
	;}
    break;

  case 36:
#line 363 "parser.y"
    {
	    pmsg ("service backlog [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.backlog = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 37:
#line 369 "parser.y"
    {
	    pmsg ("service shmkey [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.shmkey = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 38:
#line 375 "parser.y"
    {
	    pmsg ("connection timout [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.connectiontimeout = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 39:
#line 381 "parser.y"
    {
	    pmsg ("max clients in service [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.maxconnections = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 40:
#line 387 "parser.y"
    {
	    pmsg ("service type [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.type = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 41:
#line 393 "parser.y"
    {
	    pmsg ("service header inspection [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    cur_service.inspection = (yyvsp[(1) - (1)]).set[0].v.ival;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 42:
#line 399 "parser.y"
    {
	    pmsg ("allow from [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    add_allowfrom ((yyvsp[(1) - (1)]).set[0].v.sval);
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 43:
#line 405 "parser.y"
    {
	    pmsg ("allow file [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    cur_service.allowfile = (yyvsp[(1) - (1)]).set[0].v.sval;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 44:
#line 411 "parser.y"
    {
	    pmsg ("deny from [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    add_denyfrom ((yyvsp[(1) - (1)]).set[0].v.sval);
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 45:
#line 417 "parser.y"
    {
	    pmsg ("deny file [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    cur_service.denyfile = (yyvsp[(1) - (1)]).set[0].v.sval;
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 46:
#line 423 "parser.y"
    {
	    pmsg ("user account [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    setuseraccount ((yyvsp[(1) - (1)]).set[0].v.sval);
	    free ((yyvsp[(1) - (1)]).set[0].v.sval);
	    free ((yyvsp[(1) - (1)]).set);
	;}
    break;

  case 47:
#line 430 "parser.y"
    {
	    pmsg ("converting backend statements, count is [%d]\n", (yyvsp[(1) - (1)]).n);
	    for (i = 0; i < (yyvsp[(1) - (1)]).n; i++)
		switch ((yyvsp[(1) - (1)]).set[i].cf) {
		case cf_portspec:
		    pmsg ("backend port [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.initial_port = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		case cf_serverspec:
		    pmsg ("backend server [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.initial_server = serverpart ((yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.initial_port   = portpart ((yyvsp[(1) - (1)]).set[i].v.sval);
		    free ((yyvsp[(1) - (1)]).set[i].v.sval);
		    break;
		case cf_verbosityspec:
		    pmsg ("backend verbosity [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.verbosity = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		case cf_onstartspec:
		    pmsg ("backend onstart [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.onstart = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_onfailspec:
		    pmsg ("backend onfail [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.onfail = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_onendspec:
		    pmsg ("backend onend [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.onend = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_dumpspec:
		    pmsg ("backend trafficlog [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.dumpfile = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_thruspec:
		    pmsg ("backend throughputlog [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.thruputfile = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_httptimingspec:
		    if (cur_service.type != type_http)
			error ("'httptiminglog' only allowed in 'type http' "
			       "service definitions");
		    pmsg ("backend http timing log [%s]\n", (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.timinglog = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_weightspec:
		    pmsg ("backend weight [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.weight = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		case cf_decayspec:
		    pmsg ("backend decay [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    if ((yyvsp[(1) - (1)]).set[i].v.ival >= 100)
			error ("Decay specifier %d must be a percentage, "
			       "never more than 99",
			       (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.decay = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		case cf_maxconnectionsspec:
		    pmsg ("backend max clients [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.maxconnections = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		case cf_stickycookiespec:
		    pmsg ("backend sticky cookie [%s]\n",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.stickycookie = (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_addclientheaderspec:
		    pmsg ("client header to add [%s]\n",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.addclientheader =
			xrealloc (cur_backend.addclientheader,
				  (cur_backend.naddclientheader + 1) *
				  sizeof(char*));
		    cur_backend.addclientheader
			[cur_backend.naddclientheader++] =
			    (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_setclientheaderspec:
		    pmsg ("client header to set [%s]\n",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.setclientheader =
			xrealloc (cur_backend.setclientheader,
				  (cur_backend.nsetclientheader + 1) *
				  sizeof(char*));
		    cur_backend.setclientheader
			[cur_backend.nsetclientheader++] =
			    (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_appendclientheaderspec:
		    pmsg ("client header to append [%s]\n",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.appendclientheader =
			xrealloc (cur_backend.appendclientheader,
				  (cur_backend.nappendclientheader + 1) *
				  sizeof(char*));
		    cur_backend.appendclientheader
			[cur_backend.nappendclientheader++] =
			    (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_addserverheaderspec:
		    pmsg ("server header to add [%s]\n",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.addserverheader =
			xrealloc (cur_backend.addserverheader,
				  (cur_backend.naddserverheader + 1) *
				  sizeof(char*));
		    cur_backend.addserverheader
			[cur_backend.naddserverheader++] =
			    (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_setserverheaderspec:
		    pmsg ("server header to set [%s]\n",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.setserverheader =
			xrealloc (cur_backend.setserverheader,
				  (cur_backend.nsetserverheader + 1) *
				  sizeof(char*));
		    cur_backend.setserverheader
			[cur_backend.nsetserverheader++] =
			    (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_appendserverheaderspec:
		    pmsg ("server header to append:",
			  (yyvsp[(1) - (1)]).set[i].v.sval);
		    cur_backend.appendserverheader =
			xrealloc (cur_backend.appendserverheader,
				  (cur_backend.nappendserverheader + 1) *
				  sizeof(char*));
		    cur_backend.appendserverheader
			[cur_backend.nappendserverheader++] =
			    (yyvsp[(1) - (1)]).set[i].v.sval;
		    break;
		case cf_retriesspec:
		    pmsg ("backend retries [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.retries = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		case cf_statespec:
		    pmsg ("backend initial state [%d]\n", (yyvsp[(1) - (1)]).set[i].v.ival);
		    cur_backend.initial_avail = (yyvsp[(1) - (1)]).set[i].v.ival;
		    break;
		default:
		    error ("Internal jam, unhandled type %d "
			   "in backend specification",
			   (yyvsp[(1) - (1)]).set[i].cf);
		}
	    free ((yyvsp[(1) - (1)]).set);

	    /* Verify the backend block, supply defaults,
	     * And so on.
	     */
	    if (!cur_backend.initial_port)
		error ("Service %s: back end %s lacks port",
		       cur_service.name, cur_backend.name);
	    if (cur_service.dispatchext && cur_backend.maxconnections)
		error ("Service %s: back end %s defines maxconnections, "
		       "but an external dispatcher is in effect",
		       cur_service.name, cur_backend.name);
	    if (cur_backend.weight < 1)
		cur_backend.weight = 1;
	    if (cur_backend.retries < 1)
		cur_backend.retries = 1;
	    
	    /* Add to the list. */
	    cur_service.backend = xrealloc (cur_service.backend,
					    ++cur_service.nbackend *
					    sizeof(Backend));
	    cur_service.backend[cur_service.nbackend - 1] =
		cur_backend;
	    pmsg ("this was backend definition [%d]\n", cur_service.nbackend);
	    memset (&cur_backend, 0, sizeof(cur_backend));
	;}
    break;

  case 48:
#line 606 "parser.y"
    {
	    pmsg ("port statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_portspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 49:
#line 618 "parser.y"
    {
	    pmsg ("bindto statement [%d]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_bindspec;
	    (yyval).set[0].v.sval = xstrdup(laststr);
	;}
    break;

  case 50:
#line 629 "parser.y"
    {
	    setlaststr (laststring);
	    free (laststring);
	    laststring = 0;
	;}
    break;

  case 51:
#line 638 "parser.y"
    {
	    setlastnr (SYMBOL);
	;}
    break;

  case 53:
#line 652 "parser.y"
    {
	    pmsg ("verbosity statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_verbosityspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 54:
#line 662 "parser.y"
    {
	    lastnr = 1;
	;}
    break;

  case 55:
#line 666 "parser.y"
    {
	    lastnr = 0;
	;}
    break;

  case 56:
#line 675 "parser.y"
    {
	    (yyval) = (yyvsp[(2) - (4)]);
	;}
    break;

  case 59:
#line 685 "parser.y"
    {
	    (yyval).n = 0;
	;}
    break;

  case 60:
#line 692 "parser.y"
    {
	    pmsg ("dispatch mode statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_dispatchspec;
	    (yyval).set[0].v.ival = lastnr;

	    if (lastovernr &&
		(lastnr != ds_bysize && lastnr != ds_byduration))
		error ("Service '%s': this dispatch mode "
		       "doesn't support 'over <connections>'",
		       cur_service.name);
	;}
    break;

  case 61:
#line 709 "parser.y"
    {
	    setlastovernr (SYMBOL);
	;}
    break;

  case 62:
#line 715 "parser.y"
    {
	    pmsg ("external handler [%s]\n", laststr);
	    if (lastnr != ds_externalhandler)
		error ("Service %s: this dispatch mode doesn't support "
		       "an external handler", cur_service.name);
	    setlastext (laststr);
	;}
    break;

  case 63:
#line 726 "parser.y"
    {
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 64:
#line 734 "parser.y"
    {
	    lastnr = ds_roundrobin;
	;}
    break;

  case 65:
#line 738 "parser.y"
    {
	    lastnr = ds_random;
	;}
    break;

  case 66:
#line 742 "parser.y"
    {
	    lastnr = ds_byduration;
	;}
    break;

  case 67:
#line 746 "parser.y"
    {
	    lastnr = ds_bysize;
	;}
    break;

  case 68:
#line 750 "parser.y"
    {
	    lastnr = ds_byorder;
	;}
    break;

  case 69:
#line 754 "parser.y"
    {
	    lastnr = ds_byconnections;
	;}
    break;

  case 70:
#line 758 "parser.y"
    {
	    lastnr = ds_externalhandler;
	;}
    break;

  case 71:
#line 762 "parser.y"
    {
	    lastnr = ds_byclientip;
	;}
    break;

  case 72:
#line 770 "parser.y"
    {
	    pmsg ("user account statement [%d]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_useraccountspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 73:
#line 781 "parser.y"
    {
	    setlaststr (laststring);
	    free (laststring);
	    laststring = 0;
	;}
    break;

  case 74:
#line 792 "parser.y"
    {
	    pmsg ("reviving interval statement [%d]\n", lastnr);
	    (yyval).n = 2;
	    (yyval).set = xmalloc (2 * sizeof(Confset));
	    (yyval).set[0].cf = cf_revivespec;
	    (yyval).set[0].v.ival = lastnr;
	    if ((yyvsp[(3) - (4)]).n) {
		pmsg ("reviving externalhandler [%s]\n", (yyvsp[(3) - (4)]).set[0].v.sval);
		(yyval).set[1].v.sval = (yyvsp[(3) - (4)]).set[0].v.sval;
	    } else
		(yyval).set[1].v.sval = 0;
	;}
    break;

  case 75:
#line 810 "parser.y"
    {
	    pmsg ("check interval [%d]\n", lastnr);
	    (yyval).n = 2;
	    (yyval).set = xmalloc (2 * sizeof(Confset));
	    (yyval).set[0].cf = cf_checkspec;
	    (yyval).set[0].v.ival = lastnr;
	    if ((yyvsp[(3) - (4)]).n) {
		pmsg ("check externalhandler [%s]\n", (yyvsp[(3) - (4)]).set[0].v.sval);
		(yyval).set[1].v.sval = (yyvsp[(3) - (4)]).set[0].v.sval;
	    } else
		(yyval).set[1].v.sval = 0;
	;}
    break;

  case 77:
#line 827 "parser.y"
    {
	    (yyval).n = 0;
	;}
    break;

  case 78:
#line 834 "parser.y"
    {
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 79:
#line 844 "parser.y"
    {
	    pmsg ("backlog statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_backlogspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 80:
#line 856 "parser.y"
    {
	    pmsg ("shmkey statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_shmkeyspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 81:
#line 868 "parser.y"
    {
	    pmsg ("connection timeout statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_connectiontimeoutspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 82:
#line 880 "parser.y"
    {
	    pmsg ("max clients statement (service) [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_maxconnectionsspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 83:
#line 892 "parser.y"
    {
	    pmsg ("service type [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_typespec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 85:
#line 907 "parser.y"
    {
	    lastnr = type_any;
	;}
    break;

  case 86:
#line 911 "parser.y"
    {
	    lastnr = type_http;
	;}
    break;

  case 87:
#line 919 "parser.y"
    {
	    pmsg ("service header inspection [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_inspectionspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 89:
#line 934 "parser.y"
    {
	    lastnr = ins_deep;
	;}
    break;

  case 90:
#line 938 "parser.y"
    {
	    lastnr = ins_shallow;
	;}
    break;

  case 91:
#line 946 "parser.y"
    {
	    pmsg ("allow from [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_allowfromspec;
	    (yyval).set[0].v.sval = xstrdup(laststr);
	;}
    break;

  case 92:
#line 958 "parser.y"
    {
	    pmsg ("deny from [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_denyfromspec;
	    (yyval).set[0].v.sval = xstrdup(laststr);
	;}
    break;

  case 93:
#line 970 "parser.y"
    {
	    pmsg ("allow file [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_allowfilespec;
	    (yyval).set[0].v.sval = xstrdup(laststr);
	;}
    break;

  case 94:
#line 982 "parser.y"
    {
	    pmsg ("deny file [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_allowfilespec;
	    (yyval).set[0].v.sval = xstrdup(laststr);
	;}
    break;

  case 95:
#line 993 "parser.y"
    {
	    setlaststr (laststring);
	    free (laststring);
	    laststring = 0;
	;}
    break;

  case 96:
#line 1005 "parser.y"
    {
	    (yyval) = (yyvsp[(4) - (5)]);
	;}
    break;

  case 97:
#line 1012 "parser.y"
    {
	    pmsg ("backend name [%s]\n", SYMBOL);
	    for (i = 0; i < cur_service.nbackend; i++)
		if (!strcmp (cur_service.backend[i].name, SYMBOL))
		    error ("Service %s: back end '%s' multiply defined",
			   cur_service.name, SYMBOL);
	    cur_backend.name = xstrdup (SYMBOL);
	;}
    break;

  case 98:
#line 1024 "parser.y"
    {
	    (yyvsp[(1) - (2)]).n++;
	    (yyvsp[(1) - (2)]).set = xrealloc ((yyvsp[(1) - (2)]).set, (yyvsp[(1) - (2)]).n * sizeof(Confset));
	    (yyvsp[(1) - (2)]).set[(yyvsp[(1) - (2)]).n - 1] = (yyvsp[(2) - (2)]).set[0];
	    (yyval) = (yyvsp[(1) - (2)]);
	;}
    break;

  case 99:
#line 1031 "parser.y"
    {
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 100:
#line 1038 "parser.y"
    {
	    (yyval) = (yyvsp[(2) - (2)]);
	;}
    break;

  case 101:
#line 1044 "parser.y"
    {
	    pmsg ("backend server [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 102:
#line 1049 "parser.y"
    {
	    pmsg ("backend port [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 103:
#line 1054 "parser.y"
    {
	    pmsg ("backend verbosity [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 104:
#line 1059 "parser.y"
    {
	    pmsg ("backend onstart [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 105:
#line 1064 "parser.y"
    {
	    pmsg ("backend onend [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 106:
#line 1069 "parser.y"
    {
	    pmsg ("backend onfail [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 107:
#line 1074 "parser.y"
    {
	    pmsg ("backend trafficlog [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 108:
#line 1079 "parser.y"
    {
	    pmsg ("backend trafficlog [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 109:
#line 1084 "parser.y"
    {
	    pmsg ("backend HTTP timing log [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 110:
#line 1089 "parser.y"
    {
	    pmsg ("backend weight [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 111:
#line 1094 "parser.y"
    {
	    pmsg ("backend decay [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 112:
#line 1099 "parser.y"
    {
	    pmsg ("backend maxconnections [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 113:
#line 1104 "parser.y"
    {
	    pmsg ("backend sticky cookie [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 114:
#line 1109 "parser.y"
    {
	    pmsg ("addclientheader [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 115:
#line 1114 "parser.y"
    {
	    pmsg ("setclientheader [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 116:
#line 1119 "parser.y"
    {
	    pmsg ("appendclientheader [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 117:
#line 1124 "parser.y"
    {
	    pmsg ("addserverheader [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 118:
#line 1129 "parser.y"
    {
	    pmsg ("setserverheader [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 119:
#line 1134 "parser.y"
    {
	    pmsg ("appendserverheader [%s]\n", (yyvsp[(1) - (1)]).set[0].v.sval);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 120:
#line 1139 "parser.y"
    {
	    pmsg ("backend retries [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 121:
#line 1144 "parser.y"
    {
	    pmsg ("backend state [%d]\n", (yyvsp[(1) - (1)]).set[0].v.ival);
	    (yyval) = (yyvsp[(1) - (1)]);
	;}
    break;

  case 122:
#line 1154 "parser.y"
    {
	    pmsg ("server statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_serverspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 123:
#line 1166 "parser.y"
    {
	    pmsg ("weight statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_weightspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 124:
#line 1178 "parser.y"
    {
	    pmsg ("decay statement [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_decayspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 125:
#line 1188 "parser.y"
    {
	    setlaststr (laststring);
	;}
    break;

  case 126:
#line 1196 "parser.y"
    {
	    pmsg ("retries [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_retriesspec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 127:
#line 1208 "parser.y"
    {
	    pmsg ("state [%d]\n", lastnr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_statespec;
	    (yyval).set[0].v.ival = lastnr;
	;}
    break;

  case 129:
#line 1223 "parser.y"
    {
	    lastnr = st_available;
	;}
    break;

  case 130:
#line 1227 "parser.y"
    {
	    lastnr = st_unavailable;
	;}
    break;

  case 131:
#line 1231 "parser.y"
    {
	    lastnr = st_down;
	;}
    break;

  case 132:
#line 1239 "parser.y"
    {
	    pmsg ("onstart statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_onstartspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 133:
#line 1251 "parser.y"
    {
	    pmsg ("onfail statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_onfailspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 134:
#line 1263 "parser.y"
    {
	    pmsg ("onend statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_onendspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 135:
#line 1275 "parser.y"
    {
	    pmsg ("trafficlog statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_dumpspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 136:
#line 1287 "parser.y"
    {
	    pmsg ("throughputlog statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_thruspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 137:
#line 1299 "parser.y"
    {
	    pmsg ("httptiminglog statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_httptimingspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 138:
#line 1310 "parser.y"
    {
	    setlaststr (laststring);
	    free (laststring);
	    laststring = 0;
	;}
    break;

  case 139:
#line 1319 "parser.y"
    {
	    setlaststr (laststring);
	    free (laststring);
	    laststring = 0;
	;}
    break;

  case 140:
#line 1329 "parser.y"
    {
	    pmsg ("insertcookie statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof (Confset));
	    (yyval).set[0].cf = cf_stickycookiespec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 141:
#line 1340 "parser.y"
    {
		setlaststr (laststring);
		free (laststring);
		laststring = 0;
	;}
    break;

  case 142:
#line 1350 "parser.y"
    {
	    pmsg ("addclientheader statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_addclientheaderspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 143:
#line 1362 "parser.y"
    {
	    pmsg ("setclientheader statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_setclientheaderspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 144:
#line 1374 "parser.y"
    {
	    pmsg ("appendclientheader statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_appendclientheaderspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 145:
#line 1386 "parser.y"
    {
	    pmsg ("addserverheader statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_addserverheaderspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 146:
#line 1398 "parser.y"
    {
	    pmsg ("setserverheader statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_setserverheaderspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 147:
#line 1410 "parser.y"
    {
	    pmsg ("appendserverheader statement [%s]\n", laststr);
	    (yyval).n = 1;
	    (yyval).set = xmalloc (sizeof(Confset));
	    (yyval).set[0].cf = cf_appendserverheaderspec;
	    (yyval).set[0].v.sval = xstrdup (laststr);
	;}
    break;

  case 148:
#line 1421 "parser.y"
    {
	    setlaststr (laststring);
	    free (laststring);
	    laststring = 0;
	;}
    break;

  case 149:
#line 1428 "parser.y"
    {
    yyerrmsg = "HTTP header specifier expected";
;}
    break;

  case 150:
#line 1433 "parser.y"
    {
    yyerrmsg = "cookie specifier expected";
;}
    break;

  case 151:
#line 1438 "parser.y"
    {
    yyerrmsg = "number expected";
;}
    break;

  case 152:
#line 1443 "parser.y"
    {
    yyerrmsg = "hostname or IP address expected";
;}
    break;

  case 153:
#line 1448 "parser.y"
    {
    yyerrmsg = "'service' expected";
;}
    break;

  case 154:
#line 1453 "parser.y"
    {
    yyerrmsg = "backend definition statement expected";
;}
    break;

  case 155:
#line 1458 "parser.y"
    {
    yyerrmsg = "service body statement expected";
;}
    break;

  case 156:
#line 1463 "parser.y"
    {
    yyerrmsg = "semicolon (;) expected";
;}
    break;

  case 157:
#line 1468 "parser.y"
    {
    yyerrmsg = "'on' or 'off' expetcted";
;}
    break;

  case 158:
#line 1473 "parser.y"
    {
    yyerrmsg = "dispatch method expected";
;}
    break;

  case 159:
#line 1478 "parser.y"
    {
    yyerrmsg = "command line expected";
;}
    break;

  case 160:
#line 1483 "parser.y"
    {
    yyerrmsg = "file name expected";
;}
    break;

  case 161:
#line 1488 "parser.y"
    {
    yyerrmsg = "service name (identifier) expected";
;}
    break;

  case 162:
#line 1493 "parser.y"
    {
    yyerrmsg = "backend name (identifier) expected";
;}
    break;

  case 163:
#line 1498 "parser.y"
    {
    yyerrmsg = "IP address such as 1.2.3.4 or 'any' expected";
;}
    break;

  case 164:
#line 1503 "parser.y"
    {
    yyerrmsg = "Service type expected ('any', 'stickyhttp', ...)";
;}
    break;

  case 165:
#line 1508 "parser.y"
    {
    yyerrmsg = "Header inspection mode mode expected ('shallow' or 'deep')";
;}
    break;

  case 166:
#line 1513 "parser.y"
    {
    yyerrmsg = "IP filter(s) expected";
;}
    break;

  case 167:
#line 1518 "parser.y"
    {
    yyerrmsg = "username expected";
;}
    break;

  case 168:
#line 1523 "parser.y"
    {
    yyerrmsg = "state definition expected";
;}
    break;

  case 171:
#line 1538 "parser.y"
    {
    yyerrmsg = "'{' expected";
;}
    break;

  case 172:
#line 1542 "parser.y"
    {
    yyerrmsg = "'}' expected";
;}
    break;

  case 173:
#line 1546 "parser.y"
    {
    yyerrmsg = "option statement (logactivity, tcpbuffersize, ...) expected";
;}
    break;


/* Line 1267 of yacc.c.  */
#line 3320 "parser.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse look-ahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse look-ahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEOF && yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



