/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "../crossroads.h"

double timeofday () {
    struct timeval tv;
    double ret;

    if (gettimeofday (&tv, 0))
	error ("Failed to get the time of day: %s", strerror(errno));
    ret = (double)tv.tv_sec + (double)tv.tv_usec / 1000000;
    return (ret);
}
