/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

#if HAVE_VSYSLOG == 0
void vsyslog (int pri, char const *fmt, va_list args) {
    char *msg;

    msg = str_vprintf (fmt, args);
    syslog (pri, "%s", msg);
    free (msg);
}
#endif
