/*************************************************************************
 * This file is part of Crosroads 1.79, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "../crossroads.h"

void writelog (int prio, char const *fmt, ...) {
    va_list args;

    va_start (args, fmt);
    if (!logstarted++)
	openlog ("crossroads", LOG_PID, opt.log_facility);
    vsyslog (prio, fmt, args);
}
