#include "../src/crossroads.h"

int hits[100];

int main (int argc, char **argv) {
    int max, b1, b2, b3, b4, index, n = 0;
    char buf[255];
    
    if (argc == 2) {
	if (! (max = atoi (argv[1])) ) {
	    fprintf (stderr, "%s is not a number (1..100 required)\n", argv[1]);
	    exit (1);
	}
	for (b1 = 1; b1 <= 255; b1++)
	    for (b2 = 1; b2 <= 255; b2++)
		for (b3 = 1; b3 <= 255; b3++)
		    for (b4 = 1; b4 <= 255; b4++) {
			sprintf (buf, "%d.%d.%d.%d", b1, b2, b3, b4);
			index = hashpjw (buf) % max;
			hits[index]++;
			if (! (n % 100000)) {
			    printf ("\r%-30s %d", buf, index);
			    fflush (stdout);
			    n = 0;
			}
			n++;
		    }

	for (index = 0; index < max; index++)
	    printf ("\n\ndone\n"
		    "index %d: %d hits\n", index, hits[index]);
    } else if (argc == 3) {
	if (! (max = atoi (argv[1])) ) {
	    fprintf (stderr, "%s is not a number (1..100 required)\n", argv[1]);
	    exit (1);
	}
	printf ("%d\n", hashpjw (argv[2]) % max);
    } else {
	fprintf (stderr, "Usage: hashtest nbackends [ip-address]\n");
	exit (1);
    }
    
    return (0);
}
     
